import * as React from 'react';
import type { TransitionStatus } from '../../utils/useTransitionStatus';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Alert Dialog](https://base-ui.netlify.app/components/react-alert-dialog/)
 *
 * API:
 *
 * - [AlertDialogBackdrop API](https://base-ui.netlify.app/components/react-alert-dialog/#api-reference-AlertDialogBackdrop)
 */
declare const AlertDialogBackdrop: React.ForwardRefExoticComponent<AlertDialogBackdrop.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace AlertDialogBackdrop {
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        /**
         * If `true`, the backdrop element is kept in the DOM when closed.
         *
         * @default false
         */
        keepMounted?: boolean;
    }
    interface OwnerState {
        open: boolean;
        transitionStatus: TransitionStatus;
    }
}
export { AlertDialogBackdrop };
