import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Alert Dialog](https://base-ui.netlify.app/components/react-alert-dialog/)
 *
 * API:
 *
 * - [AlertDialogDescription API](https://base-ui.netlify.app/components/react-alert-dialog/#api-reference-AlertDialogDescription)
 */
declare const AlertDialogDescription: React.ForwardRefExoticComponent<AlertDialogDescription.Props & React.RefAttributes<HTMLParagraphElement>>;
declare namespace AlertDialogDescription {
    interface Props extends BaseUIComponentProps<'p', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
    }
}
export { AlertDialogDescription };
