import * as React from 'react';
import { type useDialogRoot } from '../../Dialog/Root/useDialogRoot';
export interface AlertDialogRootContext extends useDialogRoot.ReturnValue {
    /**
     * If `true`, the dialog supports CSS-based animations and transitions.
     * It is kept in the DOM until the animation completes.
     */
    animated: boolean;
    /**
     * Determines if the dialog is nested within a parent dialog.
     */
    hasParentDialog: boolean;
}
export declare const AlertDialogRootContext: React.Context<AlertDialogRootContext | undefined>;
export declare function useAlertDialogRootContext(): AlertDialogRootContext;
