import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Alert Dialog](https://base-ui.netlify.app/components/react-alert-dialog/)
 *
 * API:
 *
 * - [AlertDialogTrigger API](https://base-ui.netlify.app/components/react-alert-dialog/#api-reference-AlertDialogTrigger)
 */
declare const AlertDialogTrigger: React.ForwardRefExoticComponent<AlertDialogTrigger.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace AlertDialogTrigger {
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
    }
}
export { AlertDialogTrigger };
