import * as React from 'react';
import type { CheckboxRoot } from '../Root/CheckboxRoot';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * The indicator part of the Checkbox.
 *
 * Demos:
 *
 * - [Checkbox](https://base-ui.netlify.app/components/react-checkbox/)
 *
 * API:
 *
 * - [CheckboxIndicator API](https://base-ui.netlify.app/components/react-checkbox/#api-reference-CheckboxIndicator)
 */
declare const CheckboxIndicator: React.ForwardRefExoticComponent<CheckboxIndicator.Props & React.RefAttributes<HTMLSpanElement>>;
declare namespace CheckboxIndicator {
    interface OwnerState extends CheckboxRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'span', OwnerState> {
        /**
         * If `true`, the indicator stays mounted when unchecked. Useful for CSS animations.
         * @default true
         */
        keepMounted?: boolean;
    }
}
export { CheckboxIndicator };
