import * as React from 'react';
import type { FieldRootOwnerState } from '../../Field/Root/FieldRoot.types';
import type { BaseUIComponentProps } from '../../utils/types';
import { type UseCheckboxRoot } from './useCheckboxRoot';
/**
 * The foundation for building custom-styled checkboxes.
 *
 * Demos:
 *
 * - [Checkbox](https://base-ui.netlify.app/components/react-checkbox/)
 *
 * API:
 *
 * - [CheckboxRoot API](https://base-ui.netlify.app/components/react-checkbox/#api-reference-CheckboxRoot)
 */
declare const CheckboxRoot: React.ForwardRefExoticComponent<CheckboxRoot.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace CheckboxRoot {
    interface OwnerState extends FieldRootOwnerState {
        checked: boolean;
        disabled: boolean;
        readOnly: boolean;
        required: boolean;
        indeterminate: boolean;
    }
    interface Props extends UseCheckboxRoot.Parameters, Omit<BaseUIComponentProps<'button', OwnerState>, 'onChange'> {
    }
}
export { CheckboxRoot };
