'use client';

import * as React from 'react';
export function useCustomStyleHookMapping(ownerState) {
  return React.useMemo(() => ({
    // `data-state="mixed"` is used to style the checkbox when it's indeterminate
    indeterminate: () => null,
    checked(value) {
      let state = value ? 'checked' : 'unchecked';
      if (ownerState.indeterminate) {
        state = 'mixed';
      }
      return {
        'data-state': state
      };
    }
  }), [ownerState.indeterminate]);
}