import type { UseCheckboxGroupParent } from '../Parent/useCheckboxGroupParent';
import type { GenericHTMLProps } from '../../utils/types';
/**
 *
 * API:
 *
 * - [useCheckboxGroupRoot API](https://mui.com/base-ui/api/use-checkbox-group-root/)
 */
export declare function useCheckboxGroupRoot(params: UseCheckboxGroupRoot.Parameters): UseCheckboxGroupRoot.ReturnValue;
declare namespace UseCheckboxGroupRoot {
    interface Parameters {
        value?: string[];
        defaultValue?: string[];
        onValueChange?: (value: string[], event: Event) => void;
        allValues?: string[];
        preserveChildStates?: boolean;
    }
    interface ReturnValue {
        getRootProps: (externalProps?: GenericHTMLProps) => GenericHTMLProps;
        value: string[];
        setValue: (value: string[], event: Event) => void;
        parent: UseCheckboxGroupParent.ReturnValue;
    }
}
export {};
