import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
import type { CollapsibleRoot } from '../Root/CollapsibleRoot';
import { useCollapsibleContent } from './useCollapsibleContent';
/**
 *
 * Demos:
 *
 * - [Collapsible](https://base-ui.netlify.app/components/react-collapsible/)
 *
 * API:
 *
 * - [CollapsibleContent API](https://base-ui.netlify.app/components/react-collapsible/#api-reference-CollapsibleContent)
 */
declare const CollapsibleContent: React.ForwardRefExoticComponent<CollapsibleContent.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace CollapsibleContent {
    interface Props extends BaseUIComponentProps<'div', CollapsibleRoot.OwnerState>, Pick<useCollapsibleContent.Parameters, 'htmlHidden'> {
    }
}
export { CollapsibleContent };
