import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
import { useCollapsibleRoot } from './useCollapsibleRoot';
/**
 *
 * Demos:
 *
 * - [Collapsible](https://base-ui.netlify.app/components/react-collapsible/)
 *
 * API:
 *
 * - [CollapsibleRoot API](https://base-ui.netlify.app/components/react-collapsible/#api-reference-CollapsibleRoot)
 */
declare const CollapsibleRoot: React.ForwardRefExoticComponent<Omit<CollapsibleRoot.Props, "ref"> & React.RefAttributes<HTMLDivElement>>;
export { CollapsibleRoot };
export declare namespace CollapsibleRoot {
    interface Context extends useCollapsibleRoot.ReturnValue {
        ownerState: OwnerState;
    }
    interface OwnerState extends Pick<useCollapsibleRoot.ReturnValue, 'open' | 'disabled' | 'transitionStatus'> {
    }
    interface Props extends useCollapsibleRoot.Parameters, BaseUIComponentProps<any, OwnerState> {
    }
}
