import * as React from 'react';
export declare function useCollapsibleTrigger(parameters: useCollapsibleTrigger.Parameters): useCollapsibleTrigger.ReturnValue;
export declare namespace useCollapsibleTrigger {
    interface Parameters {
        /**
         *  The id of the element controlled by the Trigger
         */
        contentId: React.HTMLAttributes<Element>['id'];
        /**
         * The open state of the Collapsible
         */
        open: boolean;
        /**
         * A state setter that sets the open state of the Collapsible
         */
        setOpen: (open: boolean) => void;
    }
    interface ReturnValue {
        getRootProps: (externalProps?: React.ComponentPropsWithRef<'button'>) => React.ComponentPropsWithRef<'button'>;
    }
}
