'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function useCollapsibleTrigger(parameters) {
  const {
    contentId,
    open,
    setOpen
  } = parameters;
  const getRootProps = React.useCallback((externalProps = {}) => mergeReactProps(externalProps, {
    type: 'button',
    'aria-controls': contentId,
    'aria-expanded': open,
    onClick() {
      setOpen(!open);
    }
  }), [contentId, open, setOpen]);
  return {
    getRootProps
  };
}