import * as React from 'react';
/**
 * Provides context for a list of items in a composite component.
 * @ignore - internal component.
 */
declare function CompositeList(props: CompositeList.Props): React.JSX.Element;
declare namespace CompositeList {
    var propTypes: any;
}
declare namespace CompositeList {
    interface Props {
        children: React.ReactNode;
        /**
         * A ref to the list of HTML elements, ordered by their index.
         * `useListNavigation`'s `listRef` prop.
         */
        elementsRef: React.MutableRefObject<Array<HTMLElement | null>>;
        /**
         * A ref to the list of element labels, ordered by their index.
         * `useTypeahead`'s `listRef` prop.
         */
        labelsRef?: React.MutableRefObject<Array<string | null>>;
    }
}
export { CompositeList };
