import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
import type { Dimensions } from '../composite';
/**
 * @ignore - internal component.
 */
declare const CompositeRoot: React.ForwardRefExoticComponent<CompositeRoot.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace CompositeRoot {
    interface OwnerState {
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        orientation?: 'horizontal' | 'vertical' | 'both';
        cols?: number;
        loop?: boolean;
        activeIndex?: number;
        onActiveIndexChange?: (index: number) => void;
        itemSizes?: Dimensions[];
        dense?: boolean;
    }
}
export { CompositeRoot };
