import * as React from 'react';
import { type Dimensions } from '../composite';
export interface UseCompositeRootParameters {
    orientation?: 'horizontal' | 'vertical' | 'both';
    cols?: number;
    loop?: boolean;
    activeIndex?: number;
    onActiveIndexChange?: (index: number) => void;
    dense?: boolean;
    itemSizes?: Array<Dimensions>;
}
/**
 * @ignore - internal hook.
 */
export declare function useCompositeRoot(params: UseCompositeRootParameters): {
    getRootProps: (externalProps?: {}) => import("../../utils/types").WithBaseUIEvent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
        ref?: ((instance: HTMLDivElement | null) => void | React.DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES[keyof React.DO_NOT_USE_OR_YOU_WILL_BE_FIRED_CALLBACK_REF_RETURN_VALUES]) | React.RefObject<HTMLDivElement> | null | undefined;
    }>;
    activeIndex: number;
    onActiveIndexChange: (index: number) => void;
    elementsRef: React.MutableRefObject<(HTMLDivElement | null)[]>;
};
