import * as React from 'react';
import { type TransitionStatus } from '../../utils/useTransitionStatus';
import { type BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Dialog](https://base-ui.netlify.app/components/react-dialog/)
 *
 * API:
 *
 * - [DialogBackdrop API](https://base-ui.netlify.app/components/react-dialog/#api-reference-DialogBackdrop)
 */
declare const DialogBackdrop: React.ForwardRefExoticComponent<DialogBackdrop.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace DialogBackdrop {
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        /**
         * If `true`, the backdrop element is kept in the DOM when closed.
         *
         * @default false
         */
        keepMounted?: boolean;
    }
    interface OwnerState {
        open: boolean;
        modal: boolean;
        transitionStatus: TransitionStatus;
    }
}
export { DialogBackdrop };
