import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Dialog](https://base-ui.netlify.app/components/react-dialog/)
 *
 * API:
 *
 * - [DialogClose API](https://base-ui.netlify.app/components/react-dialog/#api-reference-DialogClose)
 */
declare const DialogClose: React.ForwardRefExoticComponent<DialogClose.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace DialogClose {
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
        modal: boolean;
    }
}
export { DialogClose };
