import * as React from 'react';
export declare function useDialogClose(params: useDialogClose.Parameters): useDialogClose.ReturnValue;
export declare namespace useDialogClose {
    interface Parameters {
        /**
         * Determines whether the dialog is open.
         */
        open: boolean;
        /**
         * Callback invoked when the dialog is being opened or closed.
         */
        onOpenChange: (open: boolean) => void;
    }
    interface ReturnValue {
        /**
         * Resolver for the root element props.
         */
        getRootProps: (externalProps: React.HTMLAttributes<any>) => React.HTMLAttributes<any>;
    }
}
