'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function useDialogClose(params) {
  const {
    open,
    onOpenChange
  } = params;
  const handleClick = React.useCallback(() => {
    if (open) {
      onOpenChange?.(false);
    }
  }, [open, onOpenChange]);
  const getRootProps = externalProps => mergeReactProps(externalProps, {
    onClick: handleClick
  });
  return {
    getRootProps
  };
}