import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Dialog](https://base-ui.netlify.app/components/react-dialog/)
 *
 * API:
 *
 * - [DialogDescription API](https://base-ui.netlify.app/components/react-dialog/#api-reference-DialogDescription)
 */
declare const DialogDescription: React.ForwardRefExoticComponent<DialogDescription.Props & React.RefAttributes<HTMLParagraphElement>>;
declare namespace DialogDescription {
    interface Props extends BaseUIComponentProps<'p', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
        modal: boolean;
    }
}
export { DialogDescription };
