import * as React from 'react';
import { type BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Dialog](https://base-ui.netlify.app/components/react-dialog/)
 *
 * API:
 *
 * - [DialogTitle API](https://base-ui.netlify.app/components/react-dialog/#api-reference-DialogTitle)
 */
declare const DialogTitle: React.ForwardRefExoticComponent<DialogTitle.Props & React.RefAttributes<HTMLParagraphElement>>;
declare namespace DialogTitle {
    interface Props extends BaseUIComponentProps<'h2', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
        modal: boolean;
    }
}
export { DialogTitle };
