import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Dialog](https://base-ui.netlify.app/components/react-dialog/)
 *
 * API:
 *
 * - [DialogTrigger API](https://base-ui.netlify.app/components/react-dialog/#api-reference-DialogTrigger)
 */
declare const DialogTrigger: React.ForwardRefExoticComponent<DialogTrigger.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace DialogTrigger {
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
    interface OwnerState {
        open: boolean;
        modal: boolean;
    }
}
export { DialogTrigger };
