import * as React from 'react';
export declare function useDialogTrigger(params: useDialogTrigger.Parameters): useDialogTrigger.ReturnValue;
declare namespace useDialogTrigger {
    interface Parameters {
        /**
         * Determines if the dialog is open.
         */
        open: boolean;
        /**
         * Callback to fire when the dialog is requested to be opened or closed.
         */
        onOpenChange: (open: boolean) => void;
        /**
         * The id of the popup element.
         */
        popupElementId: string | undefined;
    }
    interface ReturnValue {
        /**
         * Resolver for the root element props.
         */
        getRootProps: (externalProps?: React.HTMLAttributes<any>) => React.HTMLAttributes<any>;
    }
}
export {};
