'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function useDialogTrigger(params) {
  const {
    open,
    onOpenChange,
    popupElementId
  } = params;
  const getRootProps = React.useCallback((externalProps = {}) => mergeReactProps(externalProps, {
    onClick: () => {
      if (!open) {
        onOpenChange?.(true);
      }
    },
    'aria-haspopup': 'dialog',
    'aria-controls': popupElementId ?? undefined
  }), [open, onOpenChange, popupElementId]);
  return React.useMemo(() => ({
    getRootProps
  }), [getRootProps]);
}