import * as React from 'react';
import type { FieldControlElement, FieldControlProps } from './FieldControl.types';
/**
 * The field's control element. This is not necessary to use when using a native Base UI input
 * component (Checkbox, Switch, NumberField, Slider, Radio Group etc).
 *
 * Demos:
 *
 * - [Field](https://base-ui.netlify.app/components/react-field/)
 *
 * API:
 *
 * - [FieldControl API](https://base-ui.netlify.app/components/react-field/#api-reference-FieldControl)
 */
declare const FieldControl: React.ForwardRefExoticComponent<FieldControlProps & React.RefAttributes<FieldControlElement>>;
export { FieldControl };
