import * as React from 'react';
import type { FieldErrorProps } from './FieldError.types';
/**
 * Displays error messages for the field's control.
 *
 * Demos:
 *
 * - [Field](https://base-ui.netlify.app/components/react-field/)
 *
 * API:
 *
 * - [FieldError API](https://base-ui.netlify.app/components/react-field/#api-reference-FieldError)
 */
declare const FieldError: React.ForwardRefExoticComponent<FieldErrorProps & React.RefAttributes<HTMLDivElement>>;
export { FieldError };
