'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
import { useId } from '../../utils/useId';
import { useEnhancedEffect } from '../../utils/useEnhancedEffect';
import { useFieldRootContext } from '../Root/FieldRootContext';
export function useFieldError(params) {
  const {
    id: idProp,
    rendered,
    formError
  } = params;
  const {
    setMessageIds,
    validityData
  } = useFieldRootContext();
  const id = useId(idProp);
  useEnhancedEffect(() => {
    if (!rendered || !id) {
      return undefined;
    }
    setMessageIds(v => v.concat(id));
    return () => {
      setMessageIds(v => v.filter(item => item !== id));
    };
  }, [rendered, id, setMessageIds]);
  const getErrorProps = React.useCallback((externalProps = {}) => mergeReactProps(externalProps, {
    id,
    children: formError || (validityData.errors.length > 1 ? /*#__PURE__*/React.createElement('ul', {}, validityData.errors.map(message => /*#__PURE__*/React.createElement('li', {
      key: message
    }, message))) : validityData.error)
  }), [id, formError, validityData]);
  return React.useMemo(() => ({
    getErrorProps
  }), [getErrorProps]);
}