'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
import { useFieldRootContext } from '../Root/FieldRootContext';
export function useFieldLabel(params) {
  const {
    customTag
  } = params;
  const {
    controlId,
    labelId
  } = useFieldRootContext();
  const getLabelProps = React.useCallback((externalProps = {}) => mergeReactProps(externalProps, {
    id: labelId,
    ...(!customTag && {
      htmlFor: controlId
    }),
    onMouseDown(event) {
      const selection = window.getSelection();

      // If text is selected elsewhere on the document when clicking the label, it will not
      // activate. Ensure the selection is not the label text so that selection remains.
      if (selection && !selection.anchorNode?.contains(event.currentTarget)) {
        selection.empty();
      }
      event.preventDefault();
    }
  }), [controlId, customTag, labelId]);
  return React.useMemo(() => ({
    getLabelProps
  }), [getLabelProps]);
}