import * as React from 'react';
import type { FieldRootOwnerState, FieldValidityData } from './FieldRoot.types';
export interface FieldRootContextValue {
    invalid: boolean | undefined;
    controlId: string | undefined;
    setControlId: React.Dispatch<React.SetStateAction<string | undefined>>;
    labelId: string | undefined;
    setLabelId: React.Dispatch<React.SetStateAction<string | undefined>>;
    messageIds: string[];
    setMessageIds: React.Dispatch<React.SetStateAction<string[]>>;
    name: string | undefined;
    validityData: FieldValidityData;
    setValidityData: React.Dispatch<React.SetStateAction<FieldValidityData>>;
    disabled: boolean | undefined;
    touched: boolean;
    setTouched: React.Dispatch<React.SetStateAction<boolean>>;
    dirty: boolean;
    setDirty: React.Dispatch<React.SetStateAction<boolean>>;
    validate: (value: unknown) => string | string[] | null | Promise<string | string[] | null>;
    validateOnChange: boolean;
    validateDebounceTime: number;
    ownerState: FieldRootOwnerState;
    markedDirtyRef: React.MutableRefObject<boolean>;
}
export declare const FieldRootContext: React.Context<FieldRootContextValue>;
export declare function useFieldRootContext(optional?: boolean): FieldRootContextValue;
