import * as React from 'react';
import type { FieldValidityProps } from './FieldValidity.types';
/**
 * Render prop component that provides the field's validity state and value to its children.
 *
 * Demos:
 *
 * - [Field](https://base-ui.netlify.app/components/react-field/)
 *
 * API:
 *
 * - [FieldValidity API](https://base-ui.netlify.app/components/react-field/#api-reference-FieldValidity)
 */
declare function FieldValidity(props: FieldValidityProps): React.JSX.Element;
declare namespace FieldValidity {
    var propTypes: any;
}
export { FieldValidity };
