import * as React from 'react';
import type { FieldsetRootProps } from './FieldsetRoot.types';
/**
 * The foundation for building custom-styled fieldsets.
 *
 * Demos:
 *
 * - [Fieldset](https://base-ui.netlify.app/components/react-fieldset/)
 *
 * API:
 *
 * - [FieldsetRoot API](https://base-ui.netlify.app/components/react-fieldset/#api-reference-FieldsetRoot)
 */
declare const FieldsetRoot: React.ForwardRefExoticComponent<FieldsetRootProps & React.RefAttributes<HTMLFieldSetElement>>;
export { FieldsetRoot };
