import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
import { FormRootContext } from './FormRootContext';
/**
 *
 * Demos:
 *
 * - [Form](https://base-ui.netlify.app/components/react-form/)
 *
 * API:
 *
 * - [FormRoot API](https://base-ui.netlify.app/components/react-form/#api-reference-FormRoot)
 */
declare const FormRoot: React.ForwardRefExoticComponent<FormRoot.Props & React.RefAttributes<HTMLFormElement>>;
declare namespace FormRoot {
    interface Props extends BaseUIComponentProps<'form', OwnerState> {
        /**
         * Object of error messages with each key mapping to the `name` prop of a Field control, usually
         * from server-side validation.
         */
        errors?: FormRootContext['errors'];
        /**
         * Callback fired when the external server-side `error` messages should be cleared.
         */
        onClearErrors?: FormRootContext['onClearErrors'];
    }
    interface OwnerState {
    }
}
export { FormRoot };
