import * as React from 'react';
import type { FieldValidityData } from '../../Field/Root/FieldRoot.types';
type Errors = Record<string, string | string[]>;
export interface FormRootContext {
    errors: Errors;
    onClearErrors: (errors: Errors) => void;
    formRef: React.MutableRefObject<{
        fields: Map<string, {
            validate: () => void;
            validityData: FieldValidityData;
            controlRef: React.RefObject<HTMLElement>;
        }>;
    }>;
}
export declare const FormRootContext: React.Context<FormRootContext>;
export declare function useFormRootContext(): FormRootContext;
export {};
