import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuCheckboxItemIndicator API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuCheckboxItemIndicator)
 */
declare const MenuCheckboxItemIndicator: React.ForwardRefExoticComponent<MenuCheckboxItemIndicator.Props & React.RefAttributes<HTMLSpanElement>>;
declare namespace MenuCheckboxItemIndicator {
    interface Props extends BaseUIComponentProps<'span', OwnerState> {
        /**
         * If `true`, the component is mounted even if the checkbox is not checked.
         *
         * @default true
         */
        keepMounted?: boolean;
    }
    interface OwnerState {
        checked: boolean;
        disabled: boolean;
        highlighted: boolean;
    }
}
export { MenuCheckboxItemIndicator };
