import * as React from 'react';
import { Side } from '@floating-ui/react';
import { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuPopup API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuPopup)
 */
declare const MenuPopup: React.ForwardRefExoticComponent<MenuPopup.Props & React.RefAttributes<Element>>;
declare namespace MenuPopup {
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        children?: React.ReactNode;
        /**
         * The id of the popup element.
         */
        id?: string;
    }
    type OwnerState = {
        entering: boolean;
        exiting: boolean;
        side: Side;
        alignment: 'start' | 'end' | 'center';
        open: boolean;
    };
}
export { MenuPopup };
