import * as React from 'react';
import { Side } from '@floating-ui/react';
import { useMenuPositioner } from './useMenuPositioner';
import { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders the element that positions the Menu popup.
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuPositioner API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuPositioner)
 */
declare const MenuPositioner: React.ForwardRefExoticComponent<MenuPositioner.Props & React.RefAttributes<HTMLDivElement>>;
export { MenuPositioner };
export declare namespace MenuPositioner {
    type OwnerState = {
        open: boolean;
        side: Side;
        alignment: 'start' | 'end' | 'center';
    };
    interface Props extends useMenuPositioner.SharedParameters, BaseUIComponentProps<'div', OwnerState> {
    }
}
