import * as React from 'react';
import type { Side } from '@floating-ui/react';
export interface MenuPositionerContext {
    /**
     * The side of the anchor element the popup is positioned relative to.
     */
    side: Side;
    /**
     * The alignment of the anchor element the popup is positioned relative to.
     */
    alignment: 'start' | 'end' | 'center';
    arrowRef: React.MutableRefObject<Element | null>;
    arrowUncentered: boolean;
    arrowStyles: React.CSSProperties;
}
export declare const MenuPositionerContext: React.Context<MenuPositionerContext | null>;
export declare function useMenuPositionerContext(): MenuPositionerContext;
