import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
declare const MenuRadioGroup: React.ForwardRefExoticComponent<MenuRadioGroup.Props & React.RefAttributes<Element>>;
declare namespace MenuRadioGroup {
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        /**
         * The content of the component.
         */
        children?: React.ReactNode;
        /**
         * The value of the selected radio button.
         */
        value?: any;
        /**
         * The default value of the selected radio button.
         * This is the uncontrolled equivalent of `value`.
         */
        defaultValue?: any;
        /**
         * Function called when the selected value changes.
         *
         * @default () => {}
         */
        onValueChange?: (newValue: any, event: Event) => void;
    }
    type OwnerState = {};
}
declare const MemoizedMenuRadioGroup: React.MemoExoticComponent<React.ForwardRefExoticComponent<MenuRadioGroup.Props & React.RefAttributes<Element>>>;
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuRadioGroup API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuRadioGroup)
 */
export { MemoizedMenuRadioGroup as MenuRadioGroup };
