import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuRadioItemIndicator API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuRadioItemIndicator)
 */
declare const MenuRadioItemIndicator: React.ForwardRefExoticComponent<MenuRadioItemIndicator.Props & React.RefAttributes<HTMLSpanElement>>;
declare namespace MenuRadioItemIndicator {
    interface Props extends BaseUIComponentProps<'span', OwnerState> {
        /**
         * If `true`, the component is mounted even if the Radio is not checked.
         *
         * @default true
         */
        keepMounted?: boolean;
    }
    interface OwnerState {
        checked: boolean;
        disabled: boolean;
        highlighted: boolean;
    }
}
export { MenuRadioItemIndicator };
