import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [SubmenuTrigger API](https://base-ui.netlify.app/components/react-menu/#api-reference-SubmenuTrigger)
 */
declare const SubmenuTrigger: React.ForwardRefExoticComponent<SubmenuTrigger.Props & React.RefAttributes<Element>>;
declare namespace SubmenuTrigger {
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        children?: React.ReactNode;
        onClick?: React.MouseEventHandler<HTMLElement>;
        /**
         * If `true`, the menu item will be disabled.
         * @default false
         */
        disabled?: boolean;
        /**
         * A text representation of the menu item's content.
         * Used for keyboard text navigation matching.
         */
        label?: string;
        id?: string;
    }
    interface OwnerState {
        disabled: boolean;
        highlighted: boolean;
        open: boolean;
    }
}
export { SubmenuTrigger };
