import * as React from 'react';
import { FloatingEvents } from '@floating-ui/react';
import { GenericHTMLProps } from '../../utils/types';
export declare function useSubmenuTrigger(parameters: useSubmenuTrigger.Parameters): useSubmenuTrigger.ReturnValue;
export declare namespace useSubmenuTrigger {
    interface Parameters {
        id: string | undefined;
        highlighted: boolean;
        /**
         * If `true`, the menu item will be disabled.
         */
        disabled: boolean;
        /**
         * The ref of the item.
         */
        ref?: React.Ref<Element>;
        /**
         * The FloatingEvents instance of the menu's root.
         */
        menuEvents: FloatingEvents;
        /**
         * A callback to set the trigger element whenever it's mounted.
         */
        setTriggerElement: (element: HTMLElement | null) => void;
        /**
         * If `true`, the menu item will listen for mouseup events and treat them as clicks.
         */
        treatMouseupAsClick: boolean;
        /**
         * A ref that is set to `true` when the user is using the typeahead feature.
         */
        typingRef: React.RefObject<boolean>;
    }
    interface ReturnValue {
        getRootProps: (externalProps?: GenericHTMLProps) => GenericHTMLProps;
    }
}
