'use client';

import * as React from 'react';
import { useMenuItem } from '../Item/useMenuItem';
import { useForkRef } from '../../utils/useForkRef';
export function useSubmenuTrigger(parameters) {
  const {
    id,
    highlighted,
    disabled,
    ref: externalRef,
    menuEvents,
    setTriggerElement,
    treatMouseupAsClick,
    typingRef
  } = parameters;
  const {
    getRootProps: getMenuItemProps,
    rootRef: menuItemRef
  } = useMenuItem({
    closeOnClick: false,
    disabled,
    highlighted,
    id,
    menuEvents,
    ref: externalRef,
    treatMouseupAsClick,
    typingRef
  });
  const menuTriggerRef = useForkRef(menuItemRef, setTriggerElement);
  const getRootProps = React.useCallback(externalProps => {
    return {
      ...getMenuItemProps({
        'aria-haspopup': 'menu',
        ...externalProps
      }),
      ref: menuTriggerRef
    };
  }, [getMenuItemProps, menuTriggerRef]);
  return React.useMemo(() => ({
    getRootProps,
    rootRef: menuTriggerRef
  }), [getRootProps, menuTriggerRef]);
}