import * as React from 'react';
import { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Menu](https://base-ui.netlify.app/components/react-menu/)
 *
 * API:
 *
 * - [MenuTrigger API](https://base-ui.netlify.app/components/react-menu/#api-reference-MenuTrigger)
 */
declare const MenuTrigger: React.ForwardRefExoticComponent<MenuTrigger.Props & React.RefAttributes<HTMLElement>>;
declare namespace MenuTrigger {
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
        children?: React.ReactNode;
        /**
         * If `true`, the component is disabled.
         * @default false
         */
        disabled?: boolean;
        /**
         * If `true`, allows a disabled button to receive focus.
         * @default false
         */
        focusableWhenDisabled?: boolean;
        /**
         * Label of the button
         */
        label?: string;
    }
    type OwnerState = {
        open: boolean;
    };
}
export { MenuTrigger };
