import * as React from 'react';
import type { NumberFieldRoot } from '../Root/NumberFieldRoot';
import { BaseUIComponentProps } from '../../utils/types';
/**
 * The decrement stepper button.
 *
 * Demos:
 *
 * - [Number Field](https://base-ui.netlify.app/components/react-number-field/)
 *
 * API:
 *
 * - [NumberFieldDecrement API](https://base-ui.netlify.app/components/react-number-field/#api-reference-NumberFieldDecrement)
 */
declare const NumberFieldDecrement: React.ForwardRefExoticComponent<NumberFieldDecrement.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace NumberFieldDecrement {
    interface OwnerState extends NumberFieldRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
}
export { NumberFieldDecrement };
