import * as React from 'react';
import type { NumberFieldRoot } from '../Root/NumberFieldRoot';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Groups interactive `NumberField` components together.
 *
 * Demos:
 *
 * - [Number Field](https://base-ui.netlify.app/components/react-number-field/)
 *
 * API:
 *
 * - [NumberFieldGroup API](https://base-ui.netlify.app/components/react-number-field/#api-reference-NumberFieldGroup)
 */
declare const NumberFieldGroup: React.ForwardRefExoticComponent<NumberFieldGroup.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace NumberFieldGroup {
    interface OwnerState extends NumberFieldRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
    }
}
export { NumberFieldGroup };
