import * as React from 'react';
import type { NumberFieldRoot } from '../Root/NumberFieldRoot';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * The increment stepper button.
 *
 * Demos:
 *
 * - [Number Field](https://base-ui.netlify.app/components/react-number-field/)
 *
 * API:
 *
 * - [NumberFieldIncrement API](https://base-ui.netlify.app/components/react-number-field/#api-reference-NumberFieldIncrement)
 */
declare const NumberFieldIncrement: React.ForwardRefExoticComponent<NumberFieldIncrement.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace NumberFieldIncrement {
    interface OwnerState extends NumberFieldRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
}
export { NumberFieldIncrement };
