import * as React from 'react';
import type { NumberFieldRoot } from '../Root/NumberFieldRoot';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * The input element for the number field.
 *
 * Demos:
 *
 * - [Number Field](https://base-ui.netlify.app/components/react-number-field/)
 *
 * API:
 *
 * - [NumberFieldInput API](https://base-ui.netlify.app/components/react-number-field/#api-reference-NumberFieldInput)
 */
declare const NumberFieldInput: React.ForwardRefExoticComponent<NumberFieldInput.Props & React.RefAttributes<HTMLInputElement>>;
declare namespace NumberFieldInput {
    interface OwnerState extends NumberFieldRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'input', OwnerState> {
    }
}
export { NumberFieldInput };
