import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
import type { NumberFieldRoot } from '../Root/NumberFieldRoot';
/**
 * The scrub area cursor element.
 *
 * Demos:
 *
 * - [Number Field](https://base-ui.netlify.app/components/react-number-field/)
 *
 * API:
 *
 * - [NumberFieldScrubAreaCursor API](https://base-ui.netlify.app/components/react-number-field/#api-reference-NumberFieldScrubAreaCursor)
 */
declare const NumberFieldScrubAreaCursor: React.ForwardRefExoticComponent<NumberFieldScrubAreaCursor.Props & React.RefAttributes<HTMLSpanElement>>;
declare namespace NumberFieldScrubAreaCursor {
    interface OwnerState extends NumberFieldRoot.OwnerState {
    }
    interface Props extends BaseUIComponentProps<'span', OwnerState> {
    }
}
export { NumberFieldScrubAreaCursor };
