import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function usePopoverBackdrop() {
  const getBackdropProps = React.useCallback((externalProps = {}) => {
    return mergeReactProps(externalProps, {
      role: 'presentation',
      style: {
        zIndex: 2147483647,
        // max z-index
        overflow: 'auto',
        position: 'fixed',
        inset: 0
      }
    });
  }, []);
  return React.useMemo(() => ({
    getBackdropProps
  }), [getBackdropProps]);
}