import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders a button that closes the popover when clicked.
 *
 * Demos:
 *
 * - [Popover](https://base-ui.netlify.app/components/react-popover/)
 *
 * API:
 *
 * - [PopoverClose API](https://base-ui.netlify.app/components/react-popover/#api-reference-PopoverClose)
 */
declare const PopoverClose: React.ForwardRefExoticComponent<PopoverClose.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace PopoverClose {
    interface OwnerState {
    }
    interface Props extends BaseUIComponentProps<'button', OwnerState> {
    }
}
export { PopoverClose };
