import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
import { useEventCallback } from '../../utils/useEventCallback';
export function usePopoverClose(params) {
  const {
    onClose: onCloseProp
  } = params;
  const onClose = useEventCallback(onCloseProp);
  const getCloseProps = React.useCallback((externalProps = {}) => {
    return mergeReactProps(externalProps, {
      onClick: onClose
    });
  }, [onClose]);
  return React.useMemo(() => ({
    getCloseProps
  }), [getCloseProps]);
}