import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders a description element that describes the popover.
 *
 * Demos:
 *
 * - [Popover](https://base-ui.netlify.app/components/react-popover/)
 *
 * API:
 *
 * - [PopoverDescription API](https://base-ui.netlify.app/components/react-popover/#api-reference-PopoverDescription)
 */
declare const PopoverDescription: React.ForwardRefExoticComponent<PopoverDescription.Props & React.RefAttributes<HTMLParagraphElement>>;
declare namespace PopoverDescription {
    interface OwnerState {
    }
    interface Props extends BaseUIComponentProps<'p', OwnerState> {
    }
}
export { PopoverDescription };
