import * as React from 'react';
import type { Side, Alignment } from '../../utils/useAnchorPositioning';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders the popover popup element.
 *
 * Demos:
 *
 * - [Popover](https://base-ui.netlify.app/components/react-popover/)
 *
 * API:
 *
 * - [PopoverPopup API](https://base-ui.netlify.app/components/react-popover/#api-reference-PopoverPopup)
 */
declare const PopoverPopup: React.ForwardRefExoticComponent<PopoverPopup.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace PopoverPopup {
    interface OwnerState {
        open: boolean;
        side: Side;
        alignment: Alignment;
        entering: boolean;
        exiting: boolean;
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
    }
}
export { PopoverPopup };
