import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function usePopoverPopup(params) {
  const {
    getProps,
    titleId,
    descriptionId
  } = params;
  const getPopupProps = React.useCallback((externalProps = {}) => {
    return mergeReactProps(getProps(externalProps), {
      'aria-labelledby': titleId,
      'aria-describedby': descriptionId
    });
  }, [getProps, titleId, descriptionId]);
  return React.useMemo(() => ({
    getPopupProps
  }), [getPopupProps]);
}