import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders a title element that labels the popover.
 *
 * Demos:
 *
 * - [Popover](https://base-ui.netlify.app/components/react-popover/)
 *
 * API:
 *
 * - [PopoverTitle API](https://base-ui.netlify.app/components/react-popover/#api-reference-PopoverTitle)
 */
declare const PopoverTitle: React.ForwardRefExoticComponent<PopoverTitle.Props & React.RefAttributes<HTMLHeadingElement>>;
declare namespace PopoverTitle {
    interface OwnerState {
    }
    interface Props extends BaseUIComponentProps<'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6', OwnerState> {
    }
}
export { PopoverTitle };
