'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
import { useEnhancedEffect } from '../../utils/useEnhancedEffect';
import { useId } from '../../utils/useId';
export function usePopoverTitle(params) {
  const {
    titleId,
    setTitleId
  } = params;
  const id = useId(titleId);
  const getTitleProps = React.useCallback((externalProps = {}) => {
    return mergeReactProps(externalProps, {
      id
    });
  }, [id]);
  useEnhancedEffect(() => {
    setTitleId(id);
    return () => {
      setTitleId(undefined);
    };
  }, [setTitleId, id]);
  return React.useMemo(() => ({
    getTitleProps
  }), [getTitleProps]);
}