import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders a trigger element that opens the popover.
 *
 * Demos:
 *
 * - [Popover](https://base-ui.netlify.app/components/react-popover/)
 *
 * API:
 *
 * - [PopoverTrigger API](https://base-ui.netlify.app/components/react-popover/#api-reference-PopoverTrigger)
 */
declare const PopoverTrigger: React.ForwardRefExoticComponent<Omit<PopoverTrigger.Props, "ref"> & React.RefAttributes<any>>;
declare namespace PopoverTrigger {
    interface OwnerState {
        open: boolean;
    }
    interface Props extends BaseUIComponentProps<any, OwnerState> {
    }
}
export { PopoverTrigger };
