import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
import type { Alignment, Side } from '../../utils/useAnchorPositioning';
/**
 *
 * Demos:
 *
 * - [Preview Card](https://base-ui.netlify.app/components/react-preview-card/)
 *
 * API:
 *
 * - [PreviewCardArrow API](https://base-ui.netlify.app/components/react-preview-card/#api-reference-PreviewCardArrow)
 */
declare const PreviewCardArrow: React.ForwardRefExoticComponent<PreviewCardArrow.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace PreviewCardArrow {
    interface OwnerState {
        open: boolean;
        side: Side;
        alignment: Alignment;
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        /**
         * Whether the `Arrow` is hidden when it can't point to the center of the anchor element.
         * @default false
         */
        hideWhenUncentered?: boolean;
    }
}
export { PreviewCardArrow };
