import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Preview Card](https://base-ui.netlify.app/components/react-preview-card/)
 *
 * API:
 *
 * - [PreviewCardBackdrop API](https://base-ui.netlify.app/components/react-preview-card/#api-reference-PreviewCardBackdrop)
 */
declare const PreviewCardBackdrop: React.ForwardRefExoticComponent<PreviewCardBackdrop.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace PreviewCardBackdrop {
    interface OwnerState {
        open: boolean;
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
        /**
         * Whether the `Backdrop` remains mounted when the Preview Card `Popup` is closed.
         * @default false
         */
        keepMounted?: boolean;
        /**
         * The element the `Backdrop` is appended to.
         */
        container?: HTMLElement | null | React.MutableRefObject<HTMLElement | null>;
    }
}
export { PreviewCardBackdrop };
