import * as React from 'react';
import type { Alignment, Side } from '../../utils/useAnchorPositioning';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Preview Card](https://base-ui.netlify.app/components/react-preview-card/)
 *
 * API:
 *
 * - [PreviewCardPopup API](https://base-ui.netlify.app/components/react-preview-card/#api-reference-PreviewCardPopup)
 */
declare const PreviewCardPopup: React.ForwardRefExoticComponent<PreviewCardPopup.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace PreviewCardPopup {
    interface OwnerState {
        open: boolean;
        side: Side;
        alignment: Alignment;
        entering: boolean;
        exiting: boolean;
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
    }
}
export { PreviewCardPopup };
