import * as React from 'react';
import { usePreviewCardPositioner } from './usePreviewCardPositioner';
import type { Side, Alignment } from '../../utils/useAnchorPositioning';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Preview Card](https://base-ui.netlify.app/components/react-preview-card/)
 *
 * API:
 *
 * - [PreviewCardPositioner API](https://base-ui.netlify.app/components/react-preview-card/#api-reference-PreviewCardPositioner)
 */
declare const PreviewCardPositioner: React.ForwardRefExoticComponent<PreviewCardPositioner.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace PreviewCardPositioner {
    interface OwnerState {
        open: boolean;
        side: Side;
        alignment: Alignment;
    }
    interface Props extends usePreviewCardPositioner.SharedParameters, BaseUIComponentProps<'div', OwnerState> {
    }
}
export { PreviewCardPositioner };
