import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Preview Card](https://base-ui.netlify.app/components/react-preview-card/)
 *
 * API:
 *
 * - [PreviewCardTrigger API](https://base-ui.netlify.app/components/react-preview-card/#api-reference-PreviewCardTrigger)
 */
declare const PreviewCardTrigger: React.ForwardRefExoticComponent<PreviewCardTrigger.Props & React.RefAttributes<HTMLAnchorElement>>;
declare namespace PreviewCardTrigger {
    interface OwnerState {
        open: boolean;
    }
    interface Props extends BaseUIComponentProps<'a', OwnerState> {
    }
}
export { PreviewCardTrigger };
