'use client';

import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
function valueToPercent(value, min, max) {
  return (value - min) * 100 / (max - min);
}
function useProgressIndicator(parameters) {
  const {
    direction,
    max = 100,
    min = 0,
    value
  } = parameters;
  const isRtl = direction === 'rtl';
  const percentageValue = Number.isFinite(value) && value !== null ? valueToPercent(value, min, max) : null;
  const getStyles = React.useCallback(() => {
    if (!percentageValue) {
      return {};
    }
    return {
      [isRtl ? 'right' : 'left']: 0,
      height: 'inherit',
      width: `${percentageValue}%`
    };
  }, [isRtl, percentageValue]);
  const getRootProps = React.useCallback((externalProps = {}) => mergeReactProps(externalProps, {
    style: getStyles()
  }), [getStyles]);
  return {
    getRootProps
  };
}
export { useProgressIndicator };