import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Radio Group](https://base-ui.netlify.app/components/react-radio-group/)
 *
 * API:
 *
 * - [RadioIndicator API](https://base-ui.netlify.app/components/react-radio-group/#api-reference-RadioIndicator)
 */
declare const RadioIndicator: React.ForwardRefExoticComponent<RadioIndicator.Props & React.RefAttributes<HTMLSpanElement>>;
declare namespace RadioIndicator {
    interface Props extends BaseUIComponentProps<'span', OwnerState> {
        /**
         * Whether the component should be kept mounted when not checked.
         * @default true
         */
        keepMounted?: boolean;
    }
    interface OwnerState {
        checked: boolean;
    }
}
export { RadioIndicator };
