import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 *
 * Demos:
 *
 * - [Radio Group](https://base-ui.netlify.app/components/react-radio-group/)
 *
 * API:
 *
 * - [RadioRoot API](https://base-ui.netlify.app/components/react-radio-group/#api-reference-RadioRoot)
 */
declare const RadioRoot: React.ForwardRefExoticComponent<RadioRoot.Props & React.RefAttributes<HTMLButtonElement>>;
declare namespace RadioRoot {
    interface Props extends Omit<BaseUIComponentProps<'button', OwnerState>, 'value'> {
        /**
         * The unique identifying value of the radio in a group.
         */
        value: unknown;
        /**
         * Determines if the radio is disabled.
         * @default false
         */
        disabled?: boolean;
        /**
         * Determines if the radio is required.
         * @default false
         */
        required?: boolean;
        /**
         * Determines if the radio is readonly.
         * @default false
         */
        readOnly?: boolean;
    }
    interface OwnerState {
        checked: boolean;
        disabled: boolean;
        readOnly: boolean;
        required: boolean;
    }
}
export { RadioRoot };
