import * as React from 'react';
import { UseSliderParameters, UseSliderReturnValue } from './SliderRoot.types';
export declare function focusThumb({ sliderRef, activeIndex, setActive, }: {
    sliderRef: React.RefObject<any>;
    activeIndex: number;
    setActive?: (num: number) => void;
}): void;
export declare function validateMinimumDistance(values: number | readonly number[], step: number, minStepsBetweenValues: number): boolean;
export declare function trackFinger(event: TouchEvent | PointerEvent | React.PointerEvent, touchIdRef: React.RefObject<any>): false | {
    x: number;
    y: number;
};
/**
 *
 * Demos:
 *
 * - [Slider](https://mui.com/base-ui/react-slider/#hooks)
 *
 * API:
 *
 * - [useSliderRoot API](https://mui.com/base-ui/react-slider/hooks-api/#use-slider-root)
 */
declare function useSliderRoot(parameters: UseSliderParameters): UseSliderReturnValue;
export { useSliderRoot };
