import { clamp } from '../../utils/clamp';
import { setValueIndex } from './setValueIndex';
export function getSliderValue(params) {
  const {
    valueInput,
    index,
    min,
    max,
    range,
    values
  } = params;
  let newValue = valueInput;
  newValue = clamp(newValue, min, max);
  if (range) {
    // Bound the new value to the thumb's neighbours.
    newValue = clamp(newValue, values[index - 1] || -Infinity, values[index + 1] || Infinity);
    newValue = setValueIndex({
      values,
      newValue,
      index
    });
  }
  return newValue;
}