import * as React from 'react';
import { getStyleHookProps } from '../../utils/getStyleHookProps';

/**
 * @ignore - internal hook.
 */
export function useSwitchStyleHooks(ownerState) {
  return React.useMemo(() => {
    return getStyleHookProps(ownerState, {
      checked: value => ({
        'data-state': value ? 'checked' : 'unchecked'
      })
    });
  }, [ownerState]);
}