import * as React from 'react';
import { TabsListContextValue } from './TabsListContext';
import { TabMetadata } from '../Root/useTabsRoot';
import { ListContextValue } from '../../useList/ListContext';
import { CompoundComponentContextValue } from '../../useCompound';
export type TabsListProviderValue = CompoundComponentContextValue<any, TabMetadata> & ListContextValue<any> & TabsListContextValue;
export interface TabsListProviderProps {
    value: TabsListProviderValue;
    children: React.ReactNode;
}
/**
 * Sets up the contexts for the underlying Tab components.
 *
 * @ignore - do not document.
 */
declare function TabsListProvider(props: TabsListProviderProps): React.JSX.Element;
declare namespace TabsListProvider {
    var propTypes: any;
}
export { TabsListProvider };
