import * as React from 'react';
import { mergeReactProps } from '../../utils/mergeReactProps';
export function useTooltipArrow(params) {
  const {
    arrowStyles,
    hidden
  } = params;
  const getArrowProps = React.useCallback((externalProps = {}) => {
    return mergeReactProps(externalProps, {
      style: {
        ...arrowStyles,
        ...(hidden && {
          visibility: 'hidden'
        })
      }
    });
  }, [arrowStyles, hidden]);
  return React.useMemo(() => ({
    getArrowProps
  }), [getArrowProps]);
}