import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
import type { Alignment, Side } from '../../utils/useAnchorPositioning';
/**
 * The tooltip popup element.
 *
 * Demos:
 *
 * - [Tooltip](https://base-ui.netlify.app/components/react-tooltip/)
 *
 * API:
 *
 * - [TooltipPopup API](https://base-ui.netlify.app/components/react-tooltip/#api-reference-TooltipPopup)
 */
declare const TooltipPopup: React.ForwardRefExoticComponent<TooltipPopup.Props & React.RefAttributes<HTMLDivElement>>;
declare namespace TooltipPopup {
    interface OwnerState {
        open: boolean;
        side: Side;
        alignment: Alignment;
        instant: 'delay' | 'focus' | 'dismiss' | undefined;
        entering: boolean;
        exiting: boolean;
    }
    interface Props extends BaseUIComponentProps<'div', OwnerState> {
    }
}
export { TooltipPopup };
