import * as React from 'react';
import type { BaseUIComponentProps } from '../../utils/types';
/**
 * Renders a trigger element that opens the tooltip.
 *
 * Demos:
 *
 * - [Tooltip](https://base-ui.netlify.app/components/react-tooltip/)
 *
 * API:
 *
 * - [TooltipTrigger API](https://base-ui.netlify.app/components/react-tooltip/#api-reference-TooltipTrigger)
 */
declare const TooltipTrigger: React.ForwardRefExoticComponent<Omit<TooltipTrigger.Props, "ref"> & React.RefAttributes<any>>;
declare namespace TooltipTrigger {
    interface OwnerState {
        open: boolean;
    }
    interface Props extends BaseUIComponentProps<any, OwnerState> {
    }
}
export { TooltipTrigger };
