"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCollapsibleRoot = useCollapsibleRoot;
var React = _interopRequireWildcard(require("react"));
var _useControlled = require("../../utils/useControlled");
var _useEventCallback = require("../../utils/useEventCallback");
var _useTransitionStatus = require("../../utils/useTransitionStatus");
var _useId = require("../../utils/useId");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function useCollapsibleRoot(parameters) {
  const {
    animated = true,
    open: openParam,
    defaultOpen = true,
    onOpenChange,
    disabled = false
  } = parameters;
  const [open, setOpenState] = (0, _useControlled.useControlled)({
    controlled: openParam,
    default: defaultOpen,
    name: 'Collapsible',
    state: 'open'
  });
  const {
    mounted,
    setMounted,
    transitionStatus
  } = (0, _useTransitionStatus.useTransitionStatus)(open, animated);
  const [contentId, setContentId] = React.useState((0, _useId.useId)());
  const setOpen = (0, _useEventCallback.useEventCallback)(nextOpen => {
    onOpenChange?.(nextOpen);
    setOpenState(nextOpen);
  });
  return React.useMemo(() => ({
    animated,
    contentId,
    disabled,
    mounted,
    open,
    setContentId,
    setMounted,
    setOpen,
    transitionStatus
  }), [animated, contentId, disabled, mounted, open, setContentId, setMounted, setOpen, transitionStatus]);
}