"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDialogBackdrop = useDialogBackdrop;
var React = _interopRequireWildcard(require("react"));
var _mergeReactProps = require("../../utils/mergeReactProps");
var _useAnimatedElement = require("../../utils/useAnimatedElement");
var _useForkRef = require("../../utils/useForkRef");
var _useEventCallback = require("../../utils/useEventCallback");
var _useEnhancedEffect = require("../../utils/useEnhancedEffect");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function useDialogBackdrop(params) {
  const {
    animated,
    open,
    ref,
    onMount: onMountParam,
    onUnmount: onUnmountParam
  } = params;
  const backdropRef = React.useRef(null);
  const handleRef = (0, _useForkRef.useForkRef)(ref, backdropRef);
  const {
    mounted,
    transitionStatus
  } = (0, _useAnimatedElement.useAnimatedElement)({
    open,
    ref: backdropRef,
    enabled: animated
  });
  const onMount = (0, _useEventCallback.useEventCallback)(onMountParam);
  const onUnmount = (0, _useEventCallback.useEventCallback)(onUnmountParam);
  (0, _useEnhancedEffect.useEnhancedEffect)(() => {
    onMount();
    return onUnmount;
  }, [onMount, onUnmount]);
  const getRootProps = React.useCallback(externalProps => (0, _mergeReactProps.mergeReactProps)(externalProps, {
    role: 'presentation',
    ref: handleRef
  }), [handleRef]);
  return {
    getRootProps,
    mounted,
    transitionStatus
  };
}