"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useMenuRadioItem = useMenuRadioItem;
var React = _interopRequireWildcard(require("react"));
var _useMenuItem = require("../Item/useMenuItem");
var _mergeReactProps = require("../../utils/mergeReactProps");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 *
 * API:
 *
 * - [useMenuRadioItem API](https://mui.com/base-ui/api/use-menu-radio-item/)
 */
function useMenuRadioItem(params) {
  const {
    checked,
    setChecked,
    ...other
  } = params;
  const {
    getRootProps: getMenuItemRootProps,
    ...menuItem
  } = (0, _useMenuItem.useMenuItem)(other);
  const getRootProps = React.useCallback(externalProps => {
    return getMenuItemRootProps((0, _mergeReactProps.mergeReactProps)(externalProps, {
      role: 'menuitemradio',
      'aria-checked': checked,
      onClick: event => {
        setChecked(event.nativeEvent);
      }
    }));
  }, [checked, getMenuItemRootProps, setChecked]);
  return {
    ...menuItem,
    getRootProps,
    checked
  };
}