"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useMenuTrigger = useMenuTrigger;
var React = _interopRequireWildcard(require("react"));
var _utils = require("@mui/utils");
var _useButton = require("../../useButton/useButton");
var _mergeReactProps = require("../../utils/mergeReactProps");
var _owner = require("../../utils/owner");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function useMenuTrigger(parameters) {
  const {
    disabled = false,
    rootRef: externalRef,
    open,
    setOpen,
    setTriggerElement,
    setClickAndDragEnabled
  } = parameters;
  const triggerRef = React.useRef(null);
  const mergedRef = (0, _utils.unstable_useForkRef)(externalRef, triggerRef);
  const {
    getButtonProps,
    buttonRef
  } = (0, _useButton.useButton)({
    disabled,
    focusableWhenDisabled: false,
    buttonRef: mergedRef
  });
  const handleRef = (0, _utils.unstable_useForkRef)(buttonRef, setTriggerElement);
  const ignoreNextClick = React.useRef(false);
  const getRootProps = React.useCallback(externalProps => {
    return (0, _mergeReactProps.mergeReactProps)(externalProps, {
      'aria-haspopup': 'menu',
      tabIndex: 0,
      // this is needed to make the button focused after click in Safari
      ref: handleRef,
      onMouseDown: event => {
        if (open) {
          return;
        }

        // prevents closing the menu right after it was opened
        ignoreNextClick.current = true;
        event.preventDefault();
        setClickAndDragEnabled(true);
        const mousedownTarget = event.target;
        function handleDocumentMouseUp(mouseUpEvent) {
          const mouseupTarget = mouseUpEvent.target;
          if (mouseupTarget?.dataset?.handleMouseup === 'true') {
            mouseupTarget.click();
          } else if (mouseupTarget !== triggerRef.current && !triggerRef.current?.contains(mouseupTarget)) {
            setOpen(false, mouseUpEvent);
          }
          setClickAndDragEnabled(false);
          (0, _owner.ownerDocument)(mousedownTarget).removeEventListener('mouseup', handleDocumentMouseUp);
        }
        (0, _owner.ownerDocument)(mousedownTarget).addEventListener('mouseup', handleDocumentMouseUp);
      },
      onClick: () => {
        if (ignoreNextClick.current) {
          ignoreNextClick.current = false;
        }
      }
    }, getButtonProps());
  }, [getButtonProps, handleRef, open, setOpen, setClickAndDragEnabled]);
  return React.useMemo(() => ({
    getRootProps,
    rootRef: handleRef
  }), [getRootProps, handleRef]);
}