"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePreviewCardPositioner = usePreviewCardPositioner;
var React = _interopRequireWildcard(require("react"));
var _mergeReactProps = require("../../utils/mergeReactProps");
var _useAnchorPositioning = require("../../utils/useAnchorPositioning");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function usePreviewCardPositioner(params) {
  const {
    open = false,
    keepMounted = false
  } = params;
  const {
    positionerStyles,
    arrowStyles,
    hidden,
    arrowRef,
    arrowUncentered,
    renderedSide,
    renderedAlignment,
    positionerContext
  } = (0, _useAnchorPositioning.useAnchorPositioning)(params);
  const getPositionerProps = React.useCallback((externalProps = {}) => {
    const hiddenStyles = {};
    if (keepMounted && !open || hidden) {
      hiddenStyles.pointerEvents = 'none';
    }
    return (0, _mergeReactProps.mergeReactProps)(externalProps, {
      style: {
        ...positionerStyles,
        ...hiddenStyles,
        zIndex: 2147483647 // max z-index
      }
    });
  }, [positionerStyles, open, keepMounted, hidden]);
  return React.useMemo(() => ({
    getPositionerProps,
    arrowRef,
    arrowUncentered,
    arrowStyles,
    side: renderedSide,
    alignment: renderedAlignment,
    positionerContext
  }), [getPositionerProps, arrowRef, arrowUncentered, arrowStyles, renderedSide, renderedAlignment, positionerContext]);
}