"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProgressIndicator = useProgressIndicator;
var React = _interopRequireWildcard(require("react"));
var _mergeReactProps = require("../../utils/mergeReactProps");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function valueToPercent(value, min, max) {
  return (value - min) * 100 / (max - min);
}
function useProgressIndicator(parameters) {
  const {
    direction,
    max = 100,
    min = 0,
    value
  } = parameters;
  const isRtl = direction === 'rtl';
  const percentageValue = Number.isFinite(value) && value !== null ? valueToPercent(value, min, max) : null;
  const getStyles = React.useCallback(() => {
    if (!percentageValue) {
      return {};
    }
    return {
      [isRtl ? 'right' : 'left']: 0,
      height: 'inherit',
      width: `${percentageValue}%`
    };
  }, [isRtl, percentageValue]);
  const getRootProps = React.useCallback((externalProps = {}) => (0, _mergeReactProps.mergeReactProps)(externalProps, {
    style: getStyles()
  }), [getStyles]);
  return {
    getRootProps
  };
}