"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useProgressRoot = useProgressRoot;
var React = _interopRequireWildcard(require("react"));
var _mergeReactProps = require("../../utils/mergeReactProps");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function getDefaultAriaValueText(value) {
  if (value === null) {
    return 'indeterminate progress';
  }
  return `${value}%`;
}
function useProgressRoot(parameters) {
  const {
    'aria-label': ariaLabel,
    'aria-labelledby': ariaLabelledby,
    'aria-valuetext': ariaValuetext,
    direction = 'ltr',
    getAriaLabel,
    getAriaValueText,
    max = 100,
    min = 0,
    value
  } = parameters;
  let state = 'indeterminate';
  if (Number.isFinite(value)) {
    state = value === max ? 'complete' : 'progressing';
  }
  const getRootProps = React.useCallback((externalProps = {}) => (0, _mergeReactProps.mergeReactProps)(externalProps, {
    'aria-label': getAriaLabel ? getAriaLabel(value) : ariaLabel,
    'aria-labelledby': ariaLabelledby,
    'aria-valuemax': max,
    'aria-valuemin': min,
    'aria-valuenow': value ?? undefined,
    'aria-valuetext': getAriaValueText ? getAriaValueText(value) : ariaValuetext ?? getDefaultAriaValueText(value),
    dir: direction,
    role: 'progressbar'
  }), [ariaLabel, ariaLabelledby, ariaValuetext, direction, getAriaLabel, getAriaValueText, max, min, value]);
  return {
    getRootProps,
    direction,
    max,
    min,
    value,
    state
  };
}