"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderContext = void 0;
exports.SliderProvider = SliderProvider;
exports.useSliderContext = useSliderContext;
var React = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useCompound = require("../../useCompound");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const SliderContext = exports.SliderContext = /*#__PURE__*/React.createContext(undefined);
if (process.env.NODE_ENV !== 'production') {
  SliderContext.displayName = 'SliderContext';
}
function useSliderContext() {
  const context = React.useContext(SliderContext);
  if (context === undefined) {
    throw new Error('useSliderContext must be used inside a Slider component');
  }
  return context;
}

/**
 * Sets up contexts for the Slider and its subcomponents.
 *
 * @ignore - do not document.
 */
function SliderProvider(props) {
  const {
    value: valueProp,
    children
  } = props;
  const {
    compoundComponentContextValue,
    ...contextValue
  } = valueProp;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_useCompound.CompoundComponentContext.Provider, {
    value: compoundComponentContextValue,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(SliderContext.Provider, {
      value: contextValue,
      children: children
    })
  });
}
process.env.NODE_ENV !== "production" ? SliderProvider.propTypes /* remove-proptypes */ = {
  // ┌────────────────────────────── Warning ──────────────────────────────┐
  // │ These PropTypes are generated from the TypeScript type definitions. │
  // │ To update them, edit the TypeScript types and run `pnpm proptypes`. │
  // └─────────────────────────────────────────────────────────────────────┘
  /**
   * @ignore
   */
  children: _propTypes.default.node,
  /**
   * @ignore
   */
  value: _propTypes.default /* @typescript-to-proptypes-ignore */.shape({
    active: _propTypes.default.number.isRequired,
    areValuesEqual: _propTypes.default.func.isRequired,
    'aria-labelledby': _propTypes.default.string,
    axis: _propTypes.default.oneOf(['horizontal-reverse', 'horizontal', 'vertical']).isRequired,
    changeValue: _propTypes.default.func.isRequired,
    compoundComponentContextValue: _propTypes.default.shape({
      getItemIndex: _propTypes.default.func.isRequired,
      registerItem: _propTypes.default.func.isRequired,
      totalSubitemCount: _propTypes.default.number.isRequired
    }).isRequired,
    direction: _propTypes.default.oneOf(['ltr', 'rtl']).isRequired,
    disabled: _propTypes.default.bool.isRequired,
    dragging: _propTypes.default.bool.isRequired,
    getFingerNewValue: _propTypes.default.func.isRequired,
    handleValueChange: _propTypes.default.func.isRequired,
    largeStep: _propTypes.default.number.isRequired,
    max: _propTypes.default.number.isRequired,
    min: _propTypes.default.number.isRequired,
    minStepsBetweenValues: _propTypes.default.number.isRequired,
    name: _propTypes.default.string,
    onValueCommitted: _propTypes.default.func,
    orientation: _propTypes.default.oneOf(['horizontal', 'vertical']).isRequired,
    ownerState: _propTypes.default.shape({
      activeThumbIndex: _propTypes.default.number.isRequired,
      direction: _propTypes.default.oneOf(['ltr', 'rtl']).isRequired,
      disabled: _propTypes.default.bool.isRequired,
      dragging: _propTypes.default.bool.isRequired,
      max: _propTypes.default.number.isRequired,
      min: _propTypes.default.number.isRequired,
      minStepsBetweenValues: _propTypes.default.number.isRequired,
      orientation: _propTypes.default.oneOf(['horizontal', 'vertical']).isRequired,
      step: _propTypes.default.number.isRequired,
      values: _propTypes.default.arrayOf(_propTypes.default.number).isRequired
    }).isRequired,
    percentageValues: _propTypes.default.arrayOf(_propTypes.default.number).isRequired,
    registerSliderControl: _propTypes.default.func.isRequired,
    setActive: _propTypes.default.func.isRequired,
    setDragging: _propTypes.default.func.isRequired,
    setValueState: _propTypes.default.func.isRequired,
    step: _propTypes.default.number.isRequired,
    subitems: _propTypes.default.object.isRequired,
    tabIndex: _propTypes.default.number,
    values: _propTypes.default.arrayOf(_propTypes.default.number).isRequired
  }).isRequired
} : void 0;