"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInertValue = getInertValue;
var _reactVersion = require("./reactVersion");
/**
 * Return the inert attribute taking into consideration the React version.
 * React 19 changed the inert attribute from a string to a boolean.
 */
function getInertValue(value) {
  if (!value) {
    return undefined;
  }
  return (0, _reactVersion.isReactVersionAtLeast)(19) ? true : 'true';
}