"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRenderPropForkRef = useRenderPropForkRef;
var _useForkRef = require("./useForkRef");
var _reactVersion = require("./reactVersion");
/**
 * Merges the rendering element's `ref` in addition to the other `ref`s.
 * @ignore - internal hook.
 */
function useRenderPropForkRef(render, ...refs) {
  let childRef;
  if (typeof render !== 'function') {
    childRef = (0, _reactVersion.isReactVersionAtLeast)(19) ? render.props.ref : render.ref;
  } else {
    childRef = null;
  }
  return (0, _useForkRef.useForkRef)(childRef, ...refs);
}