import * as React from 'react';
import { useAnimationsFinished } from './useAnimationsFinished';
import { useTransitionStatus } from './useTransitionStatus';
/**
 * @ignore - internal hook.
 */
export function useAnimatedElement(params) {
  const {
    open,
    ref,
    enabled
  } = params;
  const {
    mounted,
    setMounted,
    transitionStatus
  } = useTransitionStatus(open, enabled);
  const runOnceAnimationsFinish = useAnimationsFinished(ref);
  React.useEffect(() => {
    if (!open) {
      if (enabled) {
        runOnceAnimationsFinish(() => {
          setMounted(false);
        });
      } else {
        setMounted(false);
      }
    }
  }, [enabled, open, runOnceAnimationsFinish, setMounted]);
  return {
    mounted,
    transitionStatus
  };
}