import * as React from 'react';
export type TransitionStatus = 'entering' | 'exiting' | undefined;
/**
 * Provides a status string for CSS animations.
 * @param open - a boolean that determines if the element is open.
 * @param enabled - a boolean that determines if the logic is enabled.
 * @ignore - internal hook.
 */
export declare function useTransitionStatus(open: boolean, enabled?: boolean): {
    mounted: boolean;
    setMounted: React.Dispatch<React.SetStateAction<boolean>>;
    transitionStatus: TransitionStatus;
};
